Skip to main content
Aggregate statistics about markets, events, and platform health.

Endpoints

EndpointDescription
GET /api/v1/statsCombined statistics
GET /api/v1/stats/marketsMarket statistics
GET /api/v1/stats/eventsEvent statistics
GET /api/v1/stats/platformsPlatform health and sync status

Get All Stats

GET /api/v1/stats
{
  "data": {
    "markets": {
      "total": 1247,
      "active": 892,
      "by_platform": { "kalshi": 756, "polymarket": 491 },
      "by_category": { "senate": 450, "presidential": 120, "house": 380, "governor": 297 }
    },
    "events": {
      "total": 156,
      "active": 134,
      "by_category": { "senate": 50, "presidential": 12, "house": 56, "governor": 38 }
    },
    "platforms": {
      "kalshi": { "status": "healthy", "last_sync": "2026-02-08T14:30:00Z", "markets_count": 756 },
      "polymarket": { "status": "healthy", "last_sync": "2026-02-08T14:28:00Z", "markets_count": 491 }
    }
  },
  "updated_at": "2026-02-08T14:30:00Z"
}

Market Stats

GET /api/v1/stats/markets
{
  "data": {
    "total": 1247,
    "active": 892,
    "resolved": 305,
    "closed": 50,
    "by_platform": { "kalshi": 756, "polymarket": 491 },
    "by_category": { "senate": 450, "presidential": 120, "house": 380, "governor": 297 },
    "volume": { "total": 15000000.00, "last_24h": 250000.00, "last_7d": 1500000.00 }
  },
  "updated_at": "2026-02-08T14:30:00Z"
}

Event Stats

GET /api/v1/stats/events
{
  "data": {
    "total": 156,
    "active": 134,
    "resolved": 22,
    "by_category": { "senate": 50, "presidential": 12, "house": 56, "governor": 38 },
    "by_region": { "US": 12, "TX": 8, "CA": 6, "FL": 5 },
    "upcoming": { "next_30_days": 5, "next_90_days": 15, "next_year": 45 }
  },
  "updated_at": "2026-02-08T14:30:00Z"
}

Platform Stats

GET /api/v1/stats/platforms
{
  "data": {
    "kalshi": {
      "status": "healthy",
      "last_sync": "2026-02-08T14:30:00Z",
      "last_trade": "2026-02-08T14:29:45Z",
      "markets_count": 756,
      "active_markets": 523,
      "sync_lag_seconds": 15
    },
    "polymarket": {
      "status": "healthy",
      "last_sync": "2026-02-08T14:28:00Z",
      "last_trade": "2026-02-08T14:27:30Z",
      "markets_count": 491,
      "active_markets": 369,
      "sync_lag_seconds": 30
    }
  },
  "updated_at": "2026-02-08T14:30:00Z"
}

Platform Status

StatusDescription
healthyPlatform syncing normally
degradedSync delays or partial failures
downPlatform not syncing

Example

curl "https://v2.api.adj.news/api/v1/stats" \
  -H "Authorization: Bearer YOUR_TOKEN"